wan2.7-i2vを使用してください。
モデル仕様
Wan APIリファレンスには、モデル固有のフィールド、メディアの制限、デフォルト値、ポーリングの手順が定義されています。別のバージョンの入力フィールドや出力サイズのフィールドを流用しないでください。
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Wan 2.7 I2Vは、最初のフレーム、または最初と最後のフレームからの生成、生成を駆動する音声、およびfirst_clip動画からの続きを生成する機能に対応しています。
wan2.7-i2vを使用してください。
| プロパティ | 値 |
|---|---|
| モード | 画像から動画への生成 |
| 解像度 | 720P / 1080P |
| 長さ(秒) | 2-15 |
| 出力 | MP4 / 30 fps |
| リクエスト | model + metadata.input + metadata.parameters |
curl --request POST "https://api.mixroute.ai/v1/video/generations" \
--header "Authorization: Bearer $MIXROUTE_API_KEY" \
--header "Content-Type: application/json" \
--data '{
"model": "wan2.7-i2v",
"metadata": {
"input": {
"prompt": "A red ceramic mug slowly rotates on a white tabletop. Static camera, soft studio lighting.",
"media": [
{
"type": "first_frame",
"url": "https://example.com/reference.png"
}
]
},
"parameters": {
"resolution": "720P",
"duration": 2,
"prompt_extend": false,
"watermark": false
}
}
}'
import json
import os
import requests
payload = json.loads(r'''
{
"model": "wan2.7-i2v",
"metadata": {
"input": {
"prompt": "A red ceramic mug slowly rotates on a white tabletop. Static camera, soft studio lighting.",
"media": [
{
"type": "first_frame",
"url": "https://example.com/reference.png"
}
]
},
"parameters": {
"resolution": "720P",
"duration": 2,
"prompt_extend": false,
"watermark": false
}
}
}
''')
response = requests.post(
"https://api.mixroute.ai/v1/video/generations",
headers={"Authorization": "Bearer " + os.environ["MIXROUTE_API_KEY"]},
json=payload,
timeout=120,
)
response.raise_for_status()
result = response.json()
task_id = result.get("task_id") or result.get("id")
if not task_id:
raise RuntimeError(result.get("message") or result)
print(task_id)